import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';

@Component({
  selector: 'app-controls',
  templateUrl: './controls.component.html',
  styleUrls: ['./controls.component.scss']
})
export class ControlsComponent implements OnInit {
  @Output() enableGridNav: EventEmitter<boolean> = new EventEmitter();
  @Output() enableChartNav: EventEmitter<boolean> = new EventEmitter();

  @Input() gridNavEnabled: boolean;
  @Input() chartNavEnabled: boolean;

  constructor() { }

  ngOnInit(): void {
  }

  public toggleEnableGrid(){
    this.gridNavEnabled ? this.enableGridNav.emit(false) : this.enableGridNav.emit(true);
  }

  public toggleEnableChart(){
    this.chartNavEnabled ? this.enableChartNav.emit(false) : this.enableChartNav.emit(true);
  }
}
