import { AfterViewInit, Component, ViewChild } from '@angular/core';

@Component({
  selector: 'app-nav-drawer-mini',
  styleUrls: ['./nav-drawer-mini.component.scss'],
  templateUrl: './nav-drawer-mini.component.html',
})
export class NavDrawerMiniComponent implements AfterViewInit {
  @ViewChild("main") public main: Element;
  public navItems = [
    { name: 'tune', text: 'Controls' },
  ];

  public dataItem = { name: 'description', text: 'Data' };
  public chartItem = { name: 'analytics', text: 'Charts' };

  public gridEnabled = false;
  public chartEnabled = false;

  public sampleData = [
    { Name: 'Alice', Age: 25,  Job: 'Programmer'},
    { Name: 'John', Age: 26,  Job: 'Engineer'},
    { Name: 'Jane', Age: 27,  Job: 'Architect'},
  ]
  
  ngAfterViewInit(): void {
    
  }
  public selected = 'Controls';

  public navigate(item) {
    this.selected = item.text;
  }

  public onEnableGridNav(enabled: boolean){
    if(enabled){
      this.navItems.push(this.dataItem);
    } else {
      let idx = this.navItems.indexOf(this.dataItem);
      this.navItems.splice(idx, 1);
    }

    this.gridEnabled = enabled;
  }

  public onEnableChartNav(enabled: boolean){
    if(enabled){
      this.navItems.push(this.chartItem);
    } else {
      let idx = this.navItems.indexOf(this.chartItem);
      this.navItems.splice(idx, 1);
    }

    this.chartEnabled = enabled;
  }
}
